Bug 984795 (CVE-2013-4128)

Summary: CVE-2013-4128 JBoss remote-naming: Session fixation due improper connection caching
Product: [Other] Security Response Reporter: Arun Babu Neelicattu <aneelica>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: djorm, grocha, lakagwu, lgao, pcheung, security-response-team, theute, vkrizan, weli
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20130711,reported=20130712,source=redhat,cvss2=6.4/AV:N/AC:L/Au:N/C:P/I:P/A:N,eap-6/remote-naming=affected,jpp-6/remote-naming=affected,jdg-6/remote-naming=notaffected,jboss/others=notaffected,cwe=CWE-384[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-10-16 21:45:46 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 985266, 985267    
Bug Blocks: 970481, 985188    

Description Arun Babu Neelicattu 2013-07-16 00:29:18 EDT
A flaw was discovered in the way connections for remote EJB invocations via the remote-naming project were cached on the server. A remote attacker could exploit this flaw by using an EJB client to get a previously authenticated connection.
Comment 4 Murray McAllister 2013-08-12 03:35:39 EDT
Acknowledgements:

This issue was discovered by Wolf-Dieter Fink of the Red Hat GSS Team.
Comment 5 errata-xmlrpc 2013-08-12 14:32:59 EDT
This issue has been addressed in following products:

  Red Hat JBoss Enterprise Application Platform 6.1.0

Via RHSA-2013:1152 https://rhn.redhat.com/errata/RHSA-2013-1152.html
Comment 6 errata-xmlrpc 2013-08-12 14:33:44 EDT
This issue has been addressed in following products:

  JBEAP 6 for RHEL 5
  JBEAP 6 for RHEL 6

Via RHSA-2013:1151 https://rhn.redhat.com/errata/RHSA-2013-1151.html
Comment 8 errata-xmlrpc 2013-10-16 12:58:45 EDT
This issue has been addressed in following products:

  Red Hat JBoss Portal 6.1.0

Via RHSA-2013:1437 https://rhn.redhat.com/errata/RHSA-2013-1437.html